Subject: Re: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Jun 2014 10:32:51 -0400

>> Besides, “non-interactive” is a little vague.  It’s obvious that `--batch’
>> is non-interactive, but is `--script’ as well?  In other languages,
>> e.g. Python or Perl, scripts regularly do interaction, including
>> reading passwords.
> Emacs is an editor, not a script language.

There are all kinds of reasons why the current behavior is "logical",
but indeed, it's not desirable.  Could someone install the obvious patch
in read-passwd to emit a warning (right after the prompt, so the user
will necessarily see it)?

If someone is motivated, I would even accept a patch that turns echo off
temporarily.

        Stefan